# autovdirsyncer

**autovdirsyncer** is a wrapper to daemonise `vdirsyncer`.

It monitors your [vdir collections][vdir] and runs vdirsyncer:

- After two seconds if a file is changed. ("active" runs)
- Every fifteen minutes if no file has changed. ("passive" runs)

Active runs will be postponed by two seconds if you keep editing files. This is
so that, if multiple events are happening at once (e.g.: you're copying a bunch
of files), synchronisation will happen only after you're done.

Feel free to join the IRC channel: #pimutils on irc.libera.chat.

[vdir]: https://vdirsyncer.pimutils.org/en/stable/vdir.html

# Caveats

- If you alter files continuously within two second intervals, `vdirsyncer`
  will not run. It'll run after the continuous editing happens. This should not
  be an issue for usual / desktop usage.
- If you run `vdirsyncer sync` manually, another sync may be triggered due to
  our change detection. This is generally fine due to atomicity, but may result
  in pointless double-runs.

# Installation

There's an [AUR package][aur] for ArchLinux users.

For other platforms, you can build `autovdirsyncer` using:

    make

And install using:

    sudo make install

[aur]: https://aur.archlinux.org/packages/autovdirsyncer/

# Usage

Finally, enable this to run as a service for your user with:

    systemctl --user enable --now autovdirsyncer

`systemd` is not required, and you may use the service manager of your choice
to run this.

Keep in mind that the binary is not in your `$PATH` my default, but in
`/usr/lib/autovdirsyncer`, since it's not intended to be run interactively.

# Licence

autovdirsyncer is licensed under the ISC licence. See LICENCE for details.
